using System;
using System.Collections.Generic;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;


namespace HelloUser
{
    public class HelloUser : WebPart
    {
        Label CurrentUserName = null;
        protected override void CreateChildControls()
        {
            CurrentUserName = new Label();
            if (HttpContext.Current.User.Identity.IsAuthenticated)
            {
                CurrentUserName.Text = "Bonjour " + HttpContext.Current.User.Identity.Name;
            }
            else
            {
                CurrentUserName.Text = "Bonjour inconnu(e)=";
            }

            Controls.Add(CurrentUserName);
        }
        protected override void RenderContents(HtmlTextWriter writer)
        {
            CurrentUserName.RenderControl(writer);
        }
    }
}
